org.springframework.beans.factory.config

## Class RuntimeBeanNameReference

- java.lang.Object
- - org.springframework.beans.factory.config.RuntimeBeanNameReference

All Implemented Interfaces:
  BeanMetadataElement, BeanReference

    public class RuntimeBeanNameReference
    extends Object
    implements BeanReference

Immutable placeholder class used for a property value object when it's a reference to another bean name in the factory, to be resolved at runtime.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `RuntimeBeanReference`, `BeanDefinition.getPropertyValues()`, `BeanFactory.getBean(java.lang.String)`

### Constructor Summary

Constructors
Constructor and Description
`RuntimeBeanNameReference(String beanName)` Create a new RuntimeBeanNameReference to the given bean name.

### Method Summary

Methods
`boolean` `equals(Object other)`
`String` `getBeanName()` Return the target bean name that this reference points to (never `null`).
`Object` `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).
`int` `hashCode()`
`void` `setSource(Object source)` Set the configuration source `Object` for this metadata element.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RuntimeBeanNameReference

    public RuntimeBeanNameReference(String beanName)

Create a new RuntimeBeanNameReference to the given bean name.

Parameters:
  `beanName` - name of the target bean

### Method Detail

#### getBeanName

    public String getBeanName()

Description copied from interface: `BeanReference`
Return the target bean name that this reference points to (never `null`).

Specified by:
  `getBeanName` in interface `BeanReference`

#### setSource

    public void setSource(Object source)

Set the configuration source `Object` for this metadata element.

The exact type of the object will depend on the configuration mechanism used.

#### getSource

    public Object getSource()

Description copied from interface: `BeanMetadataElement`
Return the configuration source `Object` for this metadata element (may be `null`).

Specified by:
  `getSource` in interface `BeanMetadataElement`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`